> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/api-reference/catalog-v2.md).

# Catalog V2

Catalog of available for your `api_key` data. Use the Full catalog V2 endpoints for the full list of supported by Coin Metrics data.

**Sections in this group:**

* **Full catalog v2** (31 endpoints)

**Endpoints on this page:**

* `GET /catalog-v2/asset-chains` — Available asset chains
* `GET /catalog-v2/asset-metrics` — Available asset metrics
* `GET /catalog-v2/blockchain-v2/accounts` — Available blockchain accounts assets
* `GET /catalog-v2/blockchain-v2/balance-updates` — Available blockchain balance updates assets
* `GET /catalog-v2/blockchain-v2/blocks` — Available blockchain block assets
* `GET /catalog-v2/blockchain-v2/rebasing-changes` — Available blockchain rebasing changes assets
* `GET /catalog-v2/blockchain-v2/transactions` — Available blockchain transactions assets
* `GET /catalog-v2/exchange-asset-metrics` — Available exchange-asset metrics
* `GET /catalog-v2/exchange-metrics` — Available exchange metrics
* `GET /catalog-v2/exchange-pair-metrics` — Available exchange-pair metrics
* `GET /catalog-v2/index-candles` — Available index candles
* `GET /catalog-v2/index-levels` — Available index levels
* `GET /catalog-v2/institution-metrics` — Available institution metrics
* `GET /catalog-v2/market-candles` — Available market candles
* `GET /catalog-v2/market-contract-prices` — Available market contract prices
* `GET /catalog-v2/market-funding-rates` — Available market funding rates
* `GET /catalog-v2/market-funding-rates-predicted` — Available predicted market funding rates
* `GET /catalog-v2/market-greeks` — Available market greeks
* `GET /catalog-v2/market-implied-volatility` — Available market implied volatility
* `GET /catalog-v2/market-liquidations` — Available market liquidations
* `GET /catalog-v2/market-metrics` — Available market metrics
* `GET /catalog-v2/market-openinterest` — Available market open interest
* `GET /catalog-v2/market-orderbooks` — Available market orderbooks
* `GET /catalog-v2/market-quotes` — Available market quotes
* `GET /catalog-v2/market-trades` — Available market trades
* `GET /catalog-v2/mempool-feerates` — Available mempool feerates
* `GET /catalog-v2/mining-pool-tips-summary` — Available mining pool tips summaries
* `GET /catalog-v2/pair-candles` — Available pair candles
* `GET /catalog-v2/pair-metrics` — Available pair metrics
* `GET /catalog-v2/protocol-metrics` — Available protocol metrics
* `GET /catalog-v2/transaction-tracker` — Available transaction tracker assets


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://gitbook-docs.coinmetrics.io/api-reference/catalog-v2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
